#pragma once
#include "Noise.h"
#include "FastNoiseLite.h"

class FastNoiseWrapper : public Noise
{
private:
    int seed;
    FastNoiseLite* noise;

public:
    FastNoiseWrapper( FastNoiseLite* noise, int seed );
    ~FastNoiseWrapper();
    int getSeed() const;
    double getNoise( double x, double y, double z );
};