#pragma once

#include "WorldUpdate.h"

class Block;

class PlaceBlockUpdate : public WorldUpdate
{
private:
    Block* block;

public:
    PlaceBlockUpdate( Block* block, int dimensionId );
    ~PlaceBlockUpdate();

    void onUpdate( Dimension* zDimension ) override;
    void write( Framework::StreamWriter* zWriter ) override;
    Block* zBlock() const;
};

class PlaceBlockUpdateType : WorldUpdateType
{
    REGISTRABLE( PlaceBlockUpdateType )

protected:
    PlaceBlockUpdateType();
};
REGISTER( PlaceBlockUpdateType, WorldUpdateType )