#pragma once

#include "BiomGenerator.h"
#include "StaticRegistry.h"

class GrasslandBiom : public BiomGenerator
{
    Noise* heightNoise;

public:
    GrasslandBiom();
    ~GrasslandBiom();
    Framework::Either<Block*, int> getBlock( int x, int y, int z, Game* zGame ) override;
    Noise* zHeightMapNoise( int seed ) override;
};